stl_map.h File Reference

Go to the source code of this file.

## Classes

class | std::map< _Key, _Tp, _Compare, _Alloc >

## Namespaces

namespace | std

## Macros

#define | __cpp_lib_map_try_emplace

## Functions

template<typename _Key, typename _Tp, typename _Compare, typename _Alloc>
bool | std::operator!= (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
template<typename _Key, typename _Tp, typename _Compare, typename _Alloc>
bool | std::operator< (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
template<typename _Key, typename _Tp, typename _Compare, typename _Alloc>
bool | std::operator<= (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
template<typename _Key, typename _Tp, typename _Compare, typename _Alloc>
bool | std::operator== (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
template<typename _Key, typename _Tp, typename _Compare, typename _Alloc>
bool | std::operator> (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
template<typename _Key, typename _Tp, typename _Compare, typename _Alloc>
bool | std::operator>= (const map< _Key, _Tp, _Compare, _Alloc > &__x, const map< _Key, _Tp, _Compare, _Alloc > &__y)
template<typename _Key, typename _Tp, typename _Compare, typename _Alloc>
void | std::swap (map< _Key, _Tp, _Compare, _Alloc > &__x, map< _Key, _Tp, _Compare, _Alloc > &__y) noexcept(/*conditional */)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <map>.

Definition in file stl_map.h.

## Macro Definition Documentation

## __cpp_lib_map_try_emplace

#define __cpp_lib_map_try_emplace

Definition at line 668 of file stl_map.h.